LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XSpellAlternatives Interface Referencepublished

Gives access to the results of failed spell checking attempts and may provide spelling alternatives. More...

`import"XSpellAlternatives.idl";`

Inheritance diagram for XSpellAlternatives:

## Public Member Functions
string | getWord ()
com::sun::star::lang::Locale | getLocale ()
short | getFailureType ()
short | getAlternativesCount ()
sequence< string > | getAlternatives ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Gives access to the results of failed spell checking attempts and may provide spelling alternatives.

This is used by the com::sun::star::linguistic2::XSpellChecker::spell() function when the word was not found to be correct. Suggestions for other words to be used may be provided along with a failure-type that may specify why the word was not correct.

See also
  com::sun::star::linguistic2::SpellFailure

## Member Function Documentation

## ◆ getAlternatives()

sequence< string > getAlternatives | ( |  | ) |

Returns
  the sequence of suggested spelling alternatives.

## ◆ getAlternativesCount()

short getAlternativesCount | ( |  | ) |

Returns
  the number of suggested spelling alternatives available.

## ◆ getFailureType()

short getFailureType | ( |  | ) |

    @returns
        the type (reason) for spell checking to have failed verification.

See also
  com::sun::star::linguistic2::SpellFailure

## ◆ getLocale()

com::sun::star::lang::Locale getLocale | ( |  | ) |

Returns
  the Locale which specifies the language of the misspelled word.

## ◆ getWord()

string getWord | ( |  | ) |

Returns
  the word that was misspelled.

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XSpellAlternatives.idl